# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: glib-tools
  version: 2.74.1
source:
  patches:
    - crossplatform-test-tweaks.patch
    - hardcoded-paths.patch
  sha256: 0ab981618d1db47845e56417b0d7c123f81a3427b2b9c93f5a46ff5bbb964964
  url: https://download.gnome.org/sources/glib/2.74/glib-2.74.1.tar.xz
build:
  ignore_run_exports_from:
    - python *
  number: 1
  string: h6239696_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 h6ceecb4_0
    - binutils_linux-64 2.39 h5fc0e48_11
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.9.24 ha878542_0
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_11
    - gxx_impl_linux-64 10.4.0 h5231bdf_19
    - gxx_linux-64 10.4.0 h6e491c6_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hc81fddc_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsanitizer 10.4.0 h5246dfb_19
    - libsqlite 3.39.4 h753d276_0
    - libstdcxx-devel_linux-64 10.4.0 hd38fd1e_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - meson 0.63.3 pyhd8ed1ab_0
    - ncurses 6.3 h27087fc_1
    - ninja 1.11.0 h924138e_0
    - openssl 3.0.7 h166bdaf_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - python 3.11.0 ha86cf86_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.5.1 pyhd8ed1ab_0
    - sysroot_linux-64 2.12 he073ed8_15
    - tk 8.6.12 h27826a3_0
    - tzdata 2022f h191b570_0
    - xz 5.2.6 h166bdaf_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.2.0 h65d4601_19
    - libglib 2.74.1 h606061b_1
    - libgomp 12.2.0 h65d4601_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libzlib 1.2.13 h166bdaf_4
    - zlib 1.2.13 h166bdaf_4
  run:
    - libgcc-ng >=12
    - libglib 2.74.1 h606061b_1
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
test:
  commands:
    - gapplication help
    - gdbus help
    - gio version
    - gio-querymodules .
    - glib-compile-schemas --help
    - gresource help
about:
  home: https://developer.gnome.org/glib/
  license: LGPL-2.1-or-later
  license_file: COPYING
  summary: Provides core application building blocks for libraries and applications
    written in C.
extra:
  copy_test_source_files: true
  feedstock-name: glib
  final: true
  recipe-maintainers:
    - ccordoba12
    - isuruf
    - jakirkham
    - ocefpaf
    - pkgw
    - scopatz
    - tschoonj
    - xhochy
